<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>502B.70</title>
</head>

<body>

</body>
<script>
    var names = ["alpha", "beta", "gamma", "delta"];
    var [a, b, ...c] = names;
    console.log(a);
    console.log(c);

    const marks = {
        section1: { alpha: 15, beta: 16 },
        section2: { alpha: -31, beta: 19 }
    };

    var { section1 :{alpha} } = marks;
    console.log( {section1 :{alpha}});

    var marks2 = {x: 21, y: -34, z: 47 }; 
    var {x, y} = marks2;
    console.log(y);
</script>

</html>